Subject: Re: [Bitcoin-development] Stealth Addresses

From: Gregory Maxwell <[email-masked]>
Date: Mon, 13 Jan 2014 12:47:21 -0800

On Mon, Jan 13, 2014 at 12:41 PM, Alan Reiner <[email-masked]> wrote:
> It's not public.  When I say "please pay me" I also say "use this
> multiplier".  The multiplier isn't published, and it's not publicly
> discoverable without my wallet (or access to my email).

If you have enough of a communications channel to do that you can just
give the person the finished address (authentication aside).

The idea here is to cover the cases where the communication is one way
or nearly so.  Consider a donation address on a fully static webpage,
in a forum signature or email address, or on a billboard. ... or where
users-being-users mean that the user isn't going to start up their
wallet software to compute a new multiplier every time they give out
an address no matter how much we whine at them.